From: Fabian Frederick <f...@skynet.be>

cnt was not used in nft_meta.sh
This patch also fixes 2 shellcheck SC2181 warnings:
"check exit code directly with e.g. 'if mycmd;', not indirectly with
$?."

Signed-off-by: Fabian Frederick <f...@skynet.be>
Signed-off-by: Pablo Neira Ayuso <pa...@netfilter.org>
---
 tools/testing/selftests/netfilter/nft_meta.sh | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/tools/testing/selftests/netfilter/nft_meta.sh 
b/tools/testing/selftests/netfilter/nft_meta.sh
index 1f5b46542c14..18a1abca3262 100755
--- a/tools/testing/selftests/netfilter/nft_meta.sh
+++ b/tools/testing/selftests/netfilter/nft_meta.sh
@@ -7,8 +7,7 @@ ksft_skip=4
 sfx=$(mktemp -u "XXXXXXXX")
 ns0="ns0-$sfx"
 
-nft --version > /dev/null 2>&1
-if [ $? -ne 0 ];then
+if ! nft --version > /dev/null 2>&1; then
        echo "SKIP: Could not run test without nft tool"
        exit $ksft_skip
 fi
@@ -86,8 +85,7 @@ check_one_counter()
        local want="packets $2"
        local verbose="$3"
 
-       cnt=$(ip netns exec "$ns0" nft list counter inet filter $cname | grep 
-q "$want")
-       if [ $? -ne 0 ];then
+       if ! ip netns exec "$ns0" nft list counter inet filter $cname | grep -q 
"$want"; then
                echo "FAIL: $cname, want \"$want\", got"
                ret=1
                ip netns exec "$ns0" nft list counter inet filter $cname
-- 
2.20.1

Reply via email to